#ifndef __mx_payments_h__
#define __mx_payments_h__

#include "vars.h"

long  WrenchOfferPayment( CVars in, CVars &out );
long  WrenchSendMoneyPayment( CVars in, CVars &out );
long  WrenchRefundoffer( CVars in, CVars &out );
long  WrenchZeroRefundOffer( CVars in, CVars &out );
long  WrenchContractPayment( CVars in, CVars &out );
long  WrenchCanceContractPayment( CVars in, CVars &out );

long  WrenchStartPayment( CVars in, CVars &out );
long  WrenchNewCardPayment( CVars in, CVars &out );
long  WrenchCardRechargePayment( CVars in, CVars &out );
long  CheckWallet(long member_id,CVars in); 
long  DeductMemberWallet(long member_id,long wallet_id,long amount, long payment_id);
long  WrenchMemberCouponPayment( CVars in, CVars &out );
long  WrenchMemberTopupPayment( CVars in, CVars &out );
long  WrenchFamilyPayment( CVars in, CVars &out );
long AssignVirtualCardWallet( CVars in,CVars out);

#endif

